This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 824949

Summary: Review Request: awesome - Highly configurable, framework window manager for X. Fast, light and extensible
Product: [Fedora] Fedora Reporter: Thomas Moschny <thomas.moschny>
Component: Package ReviewAssignee: Matthias Runge <mrunge>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: bill-bugzilla.redhat.com, chkr, lemenkov, meyering, mnowak, mrunge, notting, package-review, sochotni, valent.turkovic, villadalmine
Target Milestone: ---Flags: mrunge: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-06-01 13:03:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Thomas Moschny 2012-05-24 12:53:45 EDT
Spec URL: http://thm.fedorapeople.org/awesome/awesome.spec
SRPM URL: http://thm.fedorapeople.org/awesome/awesome-3.4.11-4.fc18.src.rpm

Description:
Awesome is a highly configurable, next generation framework window
manager for X. It is very fast, light and extensible.

It is primary targeted at power users, developers and any people
dealing with every day computing tasks and want to have fine-grained
control on its graphical environment.

Fedora Account System Username: thm

Notes:
 - This package needs cairo >= 1.12.0 and will thus only build on F18 or later.
 - bug 452427 is the precedent review request.
Comment 1 Stanislav Ochotnicky 2012-05-25 03:52:16 EDT
I don't feel like I would be able to do a proper job reviewing this so I am not going to do it (being too eager to get it into Fedora). Just noting that the package is working without major issues for me. And since Awesome is so awesome, I'll apply for co-maintaining this later.
Comment 2 Matthias Runge 2012-05-25 07:45:45 EDT
I'd do the review on 28/29th of june. If anyone else want's to take, just do it!
Comment 3 Matthias Runge 2012-05-25 07:55:03 EDT
(In reply to comment #2)
> I'd do the review on 28/29th of june. If anyone else want's to take, just do
> it!
I mean May, not June; so about three or four days from today.
Comment 4 Peter Lemenkov 2012-05-27 02:55:42 EDT
*** Bug 452427 has been marked as a duplicate of this bug. ***
Comment 5 Matthias Runge 2012-05-29 06:01:00 EDT
Some minors:

./common/atoms.c: GPL (v2 or later) 
./common/buffer.h: BSD (2 clause) 
...
./common/atoms.h: GPL (v2 or later) 
./common/buffer.c: BSD (2 clause) 

License should become:
# common/buffer.[ch]: BSD
License: GPLv2+ and BSD

defattr(....) present in %files doc section. This is OK if packaging for EPEL5. Otherwise not needed. If you're not targeting el5 also, I'd remove that.

Could you inspect the desktop-file?:
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.

I'd also prefer to get that files section some more explicit (man...)
Comment 6 Thomas Moschny 2012-05-31 18:00:44 EDT
Spec URL: http://thm.fedorapeople.org/awesome/awesome.spec
SRPM URL: http://thm.fedorapeople.org/awesome/awesome-3.4.11-5.fc18.src.rpm

%changelog
* Wed May 30 2012 Thomas Moschny <..> - 3.4.11-5
- Update License tag.
- Fix permissions of generated HTML docs.
- Patch and validate the .desktop file.
Comment 7 Matthias Runge 2012-06-01 02:57:46 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST License file installed when any subpackage combination is installed.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint awesome-3.4.11-5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-debuginfo-3.4.11-5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-3.4.11-5.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-doc-3.4.11-5.fc18.i686.rpm

awesome-doc.i686: W: spelling-error %description -l en_US luadoc -> Luanda
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/mrunge/review/824949/awesome-3.4.11.tar.xz :
  MD5SUM this package     : d6aa71334b5cd4ef63ce69d6c612ecf2
  MD5SUM upstream package : d6aa71334b5cd4ef63ce69d6c612ecf2

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[x]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[?]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[!]: SHOULD SourceX / PatchY prefixed with %{name}.
     Note: Patch0: awesome-3.3-libev-pkg-config.patch (awesome-3.3-libev-pkg-
     config.patch) Patch1: awesome-3.4-glib2_2_31.patch
     (awesome-3.4-glib2_2_31.patch) Patch2: 0001-Desktop-file-fixes.patch
     (0001-Desktop-file-fixes.patch)
[x]: SHOULD SourceX is a working URL.
[x]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Rpmlint output is silent.

rpmlint awesome-3.4.11-5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-debuginfo-3.4.11-5.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-3.4.11-5.fc18.src.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


rpmlint awesome-doc-3.4.11-5.fc18.i686.rpm

awesome-doc.i686: W: spelling-error %description -l en_US luadoc -> Luanda
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

   this is a false positive


See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint

I see no issues left,
package is APPROVED
Comment 8 Thomas Moschny 2012-06-01 06:28:28 EDT
Many thanks for the review, Matthias!

New Package SCM Request
=======================
Package Name: awesome
Short Description: Highly configurable, framework window manager for X. Fast, light and extensible
Owners: thm sochotni
Branches: 
InitialCC:
Comment 9 Jon Ciesla 2012-06-01 08:48:15 EDT
Git done (by process-git-requests).
Comment 10 Thomas Moschny 2012-06-01 13:03:30 EDT
Imported and built for rawhide. Thanks to all!
Comment 11 Rino Rondan 2012-12-06 14:36:31 EST
is this package completed ??
Comment 12 Peter Lemenkov 2012-12-06 14:46:27 EST
(In reply to comment #11)
> is this package completed ??

Yes.
Comment 13 Valent Turkovic 2013-01-06 12:18:43 EST
Thanks!